# Uses of Class
org.springframework.aot.hint.ResourcePatternHints.Builder

Packages that use ResourcePatternHints.Builder
Package
Description
org.springframework.aot.hint
Support for registering the need for reflection, resources, java serialization and proxies at runtime.

## Uses of ResourcePatternHints.Builder in org.springframework.aot.hint

Methods in org.springframework.aot.hint that return ResourcePatternHints.Builder
Modifier and Type
Method
Description
`ResourcePatternHints.Builder`
ResourcePatternHints.Builder.`excludes(String... excludes)`
Exclude resources matching the specified patterns.
`ResourcePatternHints.Builder`
ResourcePatternHints.Builder.`excludes(TypeReference reachableType, String... excludes)`
Exclude resources matching the specified patterns.
`ResourcePatternHints.Builder`
ResourcePatternHints.Builder.`includes(String... includes)`
Include resources matching the specified patterns.
`ResourcePatternHints.Builder`
ResourcePatternHints.Builder.`includes(TypeReference reachableType, String... includes)`
Include resources matching the specified patterns.
Method parameters in org.springframework.aot.hint with type arguments of type ResourcePatternHints.Builder
Modifier and Type
Method
Description
`ResourceHints`
ResourceHints.`registerPattern(Consumer<ResourcePatternHints.Builder> resourceHint)`
Register that the resources matching the specified pattern should be made available at runtime.
`ResourceHints`
ResourceHints.`registerPatternIfPresent(ClassLoader classLoader, String location, Consumer<ResourcePatternHints.Builder> resourceHint)`
Register a pattern if the given `location` is available on the classpath.